<?php

require_once ("../../config/Cado.php");

require_once("../proveedor/cProveedor.php");

$oProveedor = new cProveedor();

require_once("../formatos/formato.php");





require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';



move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);



$archivo = $_FILES['file_archivo']['name'];



$inputFileType = PHPExcel_IOFactory::identify($archivo);

$objReader = PHPExcel_IOFactory::createReader($inputFileType);

$objPHPExcel = $objReader->load($archivo);

$sheet = $objPHPExcel->getSheet(0); 

$highestRow = $sheet->getHighestRow(); 

$highestColumn = $sheet->getHighestColumn();



for ($row = 2; $row <= $highestRow; $row++){

	

		$provtipdoc = $sheet->getCell("A".$row)->getValue();	

		$provnom = $sheet->getCell("B".$row)->getValue();	

		$provdoc = $sheet->getCell("C".$row)->getValue();	

		$provdir = $sheet->getCell("D".$row)->getValue();	

		$provcon = $sheet->getCell("E".$row)->getValue();	

		$provtel = $sheet->getCell("F".$row)->getValue();	

		$provema = $sheet->getCell("G".$row)->getValue();	

		

		$provtipdoc = strtoupper($provtipdoc);

		$provnom = strtoupper($provnom);

		$provdir = strtoupper($provdir);

		$provcon = strtoupper($provcon);

	

		$rs = $oProveedor->verifica_proveedor_doc($provdoc,0);

		$num=mysqli_num_rows($rs);

			

		if($num>0){

			

		}

		else

		{		

		

		if($provtipdoc=="DNI"){

			$tipdoc = "1";

		}else{

			$tipdoc = "2";

		}

		

		$oProveedor->insertar(

				$provtipdoc,

				limpia_espacios($provnom), 

				$provdoc, 

				$provdir, 

				limpia_espacios($provcon), 

				$provtel, 

				$provema

				);

			

	

	}	



} 



unlink($archivo);

/* 

	$data['cat_msj']='Archivo procesado correctamente.';			

	echo json_encode($data);	 */		

?>